﻿* {
    box-sizing: border-box;
    padding: 0px;
    font-size: 16px;
}


@font-face {
    font-family: 'Brolink';
    font-weight: normal;
    font-style: normal;
    src: url(/assets/fonts/Brolink.otf) format('truetype');
}

body {
    background: #000000;
}

.form-group > input, .form-group > .form-select {
    color: #fcfcfc;
    background: #000000;
    border: 1px solid #666666;
    padding: 0.75em;
    border-radius: 0.75em;
}

.form-control:focus, .form-select:focus {
    border-color: #E7FF65;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(231, 255, 0, 0.6);
    background-color:#000000;
    color : #fcfcfc;
}


















.inputs > label {
    color: #fcfcfc;
}

.telegram-logo {
    width: 8em;
}

.form-group {
    margin: 10px;
}

    .form-group > label {
        position: relative;
        top: 10px;
        left: 15px;
        color: #fcfcfc;
        background: #000000;
        padding: 0 1px;
        font-size: 14px;
    }



.btn-next {
    color: #fcfcfc;
    --border-radius: 15px;
    --border-width: 4px;
    appearance: none;
    position: relative;
    padding: 0.7em 3em;
    border: 0;
    background-color: transparent;
    font-size: 18px;
    font-weight: 500;
    z-index: 2;
}

    .btn-next::after {
        --m-i: linear-gradient(#000, #000);
        --m-o: content-box, padding-box;
        content: "";
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        padding: var(--border-width);
        border-radius: var(--border-radius);
        background-image: conic-gradient( #488cfb, #29dbbc, #ddf505, #ff9f0e, #e440bb, #655adc, #488cfb );
        -webkit-mask-image: var(--m-i), var(--m-i);
        mask-image: var(--m-i), var(--m-i);
        -webkit-mask-origin: var(--m-o);
        mask-origin: var(--m-o);
        -webkit-mask-clip: var(--m-o);
        mask-composite: exclude;
        -webkit-mask-composite: destination-out;
        filter: hue-rotate(0);
        animation: rotate-hue linear 500ms infinite;
        animation-play-state: paused;
    }

    .btn-next:hover::after {
        animation-play-state: running;
    }

@keyframes rotate-hue {
    to {
        filter: hue-rotate(1turn);
    }
}

.btn-next,
.btn-next::after {
    box-sizing: border-box;
}

    .btn-next:active {
        --border-width: 5px;
    }


.phoneNumber {
    font-size: 25px;
    font-weight: 700;
    margin-bottom: -0.5em;
    margin-top: 0.5em;
}

.pencil {
    margin-top: 0.5em;
    font-size: 25px;
}